build-amd64:
  artifacts:
    expire_in: 1 week
    paths:
    - build/*/app/*.click
  image: clickable/ci-16.04-amd64
  rules:
  - if: $CI_COMMIT_TAG == null
  script:
  - clickable clean-build
  - clickable review
  stage: build

build-arm64:
  artifacts:
    expire_in: 1 week
    paths:
    - build/*/app/*.click
  image: clickable/ci-16.04-arm64
  rules:
  - if: $CI_COMMIT_TAG == null
  script:
  - clickable clean-build
  - clickable review
  stage: build

build-armhf:
  artifacts:
    expire_in: 1 week
    paths:
    - build/*/app/*.click
  image: clickable/ci-16.04-armhf
  rules:
  - if: $CI_COMMIT_TAG == null
  script:
  - clickable clean-build
  - clickable review
  stage: build

publish-amd64:
  artifacts:
    expire_in: 1 week
    paths:
    - build/*/app/*.click
  image: clickable/ci-16.04-amd64
  rules:
  - if: $CI_COMMIT_TAG
  script:
  - clickable clean-build
  - clickable review
  - clickable publish
  stage: deploy

publish-arm64:
  artifacts:
    expire_in: 1 week
    paths:
    - build/*/app/*.click
  image: clickable/ci-16.04-arm64
  rules:
  - if: $CI_COMMIT_TAG
  script:
  - clickable clean-build
  - clickable review
  - clickable publish
  stage: deploy

publish-armhf:
  artifacts:
    expire_in: 1 week
    paths:
    - build/*/app/*.click
  image: clickable/ci-16.04-armhf
  rules:
  - if: $CI_COMMIT_TAG
  script:
  - clickable clean-build
  - clickable review
  - clickable publish "$CI_COMMIT_MESSAGE"
  stage: deploy
